b2_reserve_trial_create_account
  • 04 Jun 2025
  • Dark
    Light

b2_reserve_trial_create_account

  • Dark
    Light

Article summary

Post
/b2api/v3/b2_reserve_trial_create_account

This operation creates a new Backblaze B2 account and starts a B2 reserve trial.

A B2 Reserve Trial gives an end user time-limited access to all of B2 Reserve's product features for evaluation.

New Backblaze accounts will receive an invitation email asking them to reset their password. The account will be fully functional and can be closed or converted to a paid account at the end of the B2 Reserve Trial.

Warning
The email for the new trial account must not already exist as a Backblaze account.
Header parameters
Authorization
stringRequired

An account authorization token, obtained from b2_authorize_account.

Body parameters
Array of object
object
email
string Required

Email for the new B2 account.

Exampleuser@example.com
region
string

Backblaze will pick a region if not specified. There are currently 4 regions available: us-west, us-east,ca-east, and eu-central.

Exampleus-east
term
integer Required

The duration (in days) of the trial period. This value must be between 7 and 30 (inclusive).

Example15
storage
integer Required

The amount of storage required in TB. This value must be between 1 and 50 (inclusive).

Example12
Responses
200

The request succeeded.

Array of object
object
accountId
string

Account Id of the newly created B2 account

ExampleYOUR_ACCOUNT_ID
applicationKey
string

An application key for the new account that can be used to call Backblaze B2 APIs. This application key only has access to the bucket returned in the response. This key is also limited to API calls that read, write, and delete files, as well as update bucket settings.

Example1007f472a08996e163314b339960f30c32cda969be
applicationKeyId
string

An application key ID for the new account.

Example8a0231e9032b
s3Endpoint
string

The endpoint domain for Backblaze S3-Compatible API. The endpoint has the format: s3.<region>.backblazeb2.com

Examples3.us-west-004.backblazeb2.com
startDate
string

The trial start date uses the ISO 8601 date format (yyyy-MM-dd). The date is in the UTC timezone.

Example2026-12-16
endDate
string

The trial end date is calculated by adding the start date plus the number of days in the terms of the request. Trials expire at the start of the day.

The end date uses the ISO 8601 date format (yyyy-MM-dd). The date is in the UTC timezone.

Example2026-12-25
email
string

Email for the new Backblaze B2 account.

Exampleuser@example.com
bucketName
string

Bucket name that is accessible using the returned application key. Used with the Backblaze S3-Compatible API.

ExamplemyBucketName
bucketId
string

Bucket ID that is accessible using the returned application key. Used with the B2 Native API.

Examplee1256f0973908bfc71ed0c1z
400
statuscodedescription
400bad_requestThe request had the wrong fields or illegal values. The message returned with the error will describe the problem.
object
status
integer

The numeric HTTP status code. Always matches the status in the HTTP response.

Example400
code
string

A single-identifier code that identifies the error.

Exampleinvalid_bucket_name
message
string

A human-readable message, in English, saying what went wrong.

Examplebucket name is too long
401
statuscodedescription
401unauthorizedThe auth token used is not valid. Call b2_authorize_account again to either get a new one, or an error message describing the problem. This occurs when the Authorization header is passed in with an invalid token. For example, Authorization: 000. In this case 000 is invalid.
403
statuscodedescription
403access_deniedThe auth token is valid but does not authorize this call with these parameters. The accountId may not be enabled for Partner API, may not have a valid phone number on their account, or their account may not be in good standing.
403access_deniedThe auth token is missing and the request is not entitled. The proper Authorization: key-value pair is required in header order to successfully respond.

Was this article helpful?